Subject: Re: bug#48069: 28.0.50; [feature/pgtk]; tooltips are jittery and sometimes obscured

From: Yuuki Harano <[email-masked]>
Date: Tue, 04 May 2021 16:23:51 +0900 (JST)

On Mon, 03 May 2021 12:47:19 -0500,
	john muhl <[email-masked]> wrote:
>> I'll debug it.
> 
> I wonder if these tooltips are even needed; they mostly just restate
> what the item under point already says. I browsed around a few of the
> default GNOME apps (and a few non-default others) but could not find
> any that display tooltips when hovering an item in a drop down menu
> the way Emacs does.
> 
> Would just getting rid of them be an alternative to debugging the
> visibility issue?

Tooltips in emacs are written always for main windows, not menu windows,
and compositor thinks that stacking order should be:

(above)
- menu
- tooltip for main window
- main window
(below)

It is too hard to improve it...

If you don't need tooltips, you can do:
(tooltip-mode -1)

I think that jitters may stop by it.
-- 
Yuuki Harano